Package htsjdk.samtools.util.htsget

# Class HtsgetErrorResponse

java.lang.Object
htsjdk.samtools.util.htsget.HtsgetErrorResponse

public class HtsgetErrorResponse extends Object
Class allowing deserialization from json htsget error response, as defined in https://samtools.github.io/hts-specs/htsget.html An example response could be as follows { "htsget": { "error": "NotFound", "message": "No such accession 'ENS16232164'" } }

## Constructor Summary

Constructors
Constructor
Description
`HtsgetErrorResponse(String error, String message)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getError()`
`String`
`getMessage()`
`static HtsgetErrorResponse`
`parse(String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HtsgetErrorResponse

public HtsgetErrorResponse(String error, String message)

## Method Details

### getError

public String getError()

### getMessage

public String getMessage()

### parse

public static HtsgetErrorResponse parse(String s)